<button class="ui button teal inverted fluid" (click)="scrollBack()">BACK</button>

<div class="ui container">
<h1>
    {{ user.username }}
</h1>
<h2 class="ui teal inverted header"> email: {{ user.email}} </h2>

<table class="ui inverted teal table">
    <thead>
        <tr>
            <th> <h1> {{ user.games.length }} </h1> </th>
            <th> <h1> {{ getTotalPoints() }} </h1></th>
            <th> <h1> {{ averagePoints().toFixed(1) }} </h1></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>  games played </td>
            <td>  total points </td>
            <td>  average points per game </td>
        </tr>
    </tbody>
</table>

<h2 class="ui teal inverted header"> games: </h2>
<div class="ui inverted teal container" style="overflow: auto; max-height: 200px;">
    <table class="ui inverted teal table">
        <thead>
            <tr>
                <th>Point</th>
                <th>Date</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let game of user.games">
                <td> {{ game.points }} </td>
                <td> {{ game.date | date:'short'}}</td>
            </tr>
        </tbody>
    </table>
</div>
</div>